Package org.codehaus.groovy.runtime

# Class GroovyCategorySupport.CategoryMethodList

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractList<E>
java.util.ArrayList<GroovyCategorySupport.CategoryMethod>
org.codehaus.groovy.runtime.GroovyCategorySupport.CategoryMethodList

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<GroovyCategorySupport.CategoryMethod>`, `Collection<GroovyCategorySupport.CategoryMethod>`, `List<GroovyCategorySupport.CategoryMethod>`, `RandomAccess`

Enclosing class:
  GroovyCategorySupport

public static class GroovyCategorySupport.CategoryMethodList extends ArrayList<GroovyCategorySupport.CategoryMethod>

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `level`

  ### Fields inherited from class java.util.AbstractList

  `modCount`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CategoryMethodList(String name, int level, GroovyCategorySupport.CategoryMethodList previous)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `add(GroovyCategorySupport.CategoryMethod o)`

  ### Methods inherited from class java.util.ArrayList

  `add, addAll, addAll, clear, clone, contains, ensureCapacity, equals, forEach, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

  ### Methods inherited from class java.util.AbstractCollection

  `containsAll, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, stream, toArray`

  ### Methods inherited from interface java.util.List

  `containsAll`

- ## Field Details

  - ### level

    public final int level

- ## Constructor Details

  - ### CategoryMethodList

    public CategoryMethodList(String name, int level, GroovyCategorySupport.CategoryMethodList previous)

- ## Method Details

  - ### add

    public boolean add(GroovyCategorySupport.CategoryMethod o)
    Specified by:
      `add` in interface `Collection<GroovyCategorySupport.CategoryMethod>`
    Specified by:
      `add` in interface `List<GroovyCategorySupport.CategoryMethod>`
    Overrides:
      `add` in class `ArrayList<GroovyCategorySupport.CategoryMethod>`